Skip to main content
POST
/
v1
/
businesses
/
{businessId}
/
crypto-deposit-addresses
Create Crypto Deposit Address
curl --request POST \
  --url https://api.cadanapay.com/v1/businesses/{businessId}/crypto-deposit-addresses \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "currency": "USDC",
  "chain": "ethereum"
}
'
import requests

url = "https://api.cadanapay.com/v1/businesses/{businessId}/crypto-deposit-addresses"

payload = {
"currency": "USDC",
"chain": "ethereum"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({currency: 'USDC', chain: 'ethereum'})
};

fetch('https://api.cadanapay.com/v1/businesses/{businessId}/crypto-deposit-addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "currency": "USDC",
  "chain": "ethereum",
  "address": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e"
}
{
"code": "invalid_request_body",
"message": "One or more input values are invalid. Please re-enter valid values",
"params": {
"chain": "currency and chain combination already exists"
}
}
{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Path Parameters

businessId
string
required

The unique identifier for the business

Body

application/json
currency
enum<string>
required

Stablecoin to receive

Available options:
USDC,
USDT
Example:

"USDC"

chain
string
required

Blockchain network. USDC: ethereum, solana, arbitrum, base, polygon. USDT: ethereum, solana, tron.

Example:

"ethereum"

Response

Crypto deposit address created

id
string
currency
string
Example:

"USDC"

chain
string
Example:

"ethereum"

address
string
Example:

"0x742d35Cc6634C0532925a3b844Bc454e4438f44e"